﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=11.5
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim accelerometer As PhoneSensors
	Dim AC(3) As Double,AO(3) As Double
End Sub

Sub Service_Create
	accelerometer.Initialize2(accelerometer.TYPE_ACCELEROMETER,3)
End Sub

Sub Service_Start (StartingIntent As Intent)
	Service.StopAutomaticForeground 'Call this when the background task completes (if there is one)
	accelerometer.StartListening("Accelerometer")
End Sub

Sub Service_Destroy
	accelerometer.StopListening
End Sub

Private Sub Accelerometer_SensorChanged (Values() As Float)
	'accValues = Values
	Dim i As Int
	Dim d As Double
	d=0
	For i=0 To 2
		AC(i)=Round2(Values(i),2)
		d=d+Abs(AC(i)-AO(i))
	Next
	If  d<.1 Then
		Log("d=" & NumberFormat(d,3,2) & "," & AC(0) & "," & AC(1) & "," & AC(2)) 'NumberFormat(Values(0),3,2) & "," & NumberFormat(Values(1),3,2) & "," & NumberFormat(Values(2),3,1))
	End If
	For i=0 To 2
		AO(i)=AC(i)
	Next
End Sub